Subject: Re: [EAI] IMA Digest, Vol 67, Issue 3

From: Shawn Steele <[email-masked]>
Date: Thu, 3 Feb 2011 18:26:55 +0000

> So, the goal is to guarantee that no environment can ever be certain of
> operating in a simplified, "pure" UTF-8 mode?

I wouldn't say that.  A "pure" UTF-8 environment would be unaware of ASCII or not, it'd never have any reason to check, so it would always send the flag...  (Eg: I type in my UTF-8 mail client, and it doesn't ever check for ASCII (why would it?), so then nobody ever has a reason to become aware.

> As phrased, this language requires permanent support for legacy ASCII mode.

Theoretically.  In practice I think that this is a very minor thing.  I get that John doesn't want to break mail, but our mail starts in a Unicode environment, and it's going to stay that way unless it hits a roadblock of a non-EAI aware server.  At that time we may have to resubmit or something (when Exchange is the MSA it's kind of a non-issue anyway, it just has to pick which "right thing" to do.). 

As John also pointed out, we could also tighten the language if it turned out we were only sending UTF-8 mail.

-Shawn